package intrinsic.mx.containers.utilityClasses;

public class BoxLayout extends intrinsic.mx.containers.utilityClasses.Layout {

	/** Accessors */

	/** Variables */
	public String direction;

	/** Constants */
	public static final String VERSION = "version";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public BoxLayout() {
}


/** Static Methods */

/** Methods */
public native double getVerticalAlignValue();
public native void measure();
public native double heightPadding(double arg0);
public native double widthPadding(double arg0);
public native double getHorizontalAlignValue();
public native void updateDisplayList(double arg0, double arg1);

}
